Subject: [Sipping] FW: draft-ietf-sipping-service-examples-15: 181 text

From: "Brett Tate" <[email-masked]>
Date: Tue, 9 Sep 2008 10:34:48 -0400

Resending since not archived or distributed...

-----Original Message-----
From: Alan Johnston [mailto:[email-masked]] 
Sent: Friday, September 05, 2008 11:30 AM
To: Brett Tate
Cc: sipping LIST
Subject: Re: draft-ietf-sipping-service-examples-15: 181 text

Brett,

Thanks for your comments.  The text is out of date - we'll update it to
match the call flows.

Thanks,
Alan

Brett Tate wrote:
> Greetings,
>
> The following draft-ietf-sipping-service-examples-15 section 2.7 text 
> should likely be modified or removed:
>
> "Note that the 181 Call is Being Forwarded response does not have a To

> tag added as the proxy does not wish to establish an early dialog with

> Alice.  Strictly speaking, the proxy is behaving as a User Agent in 
> this case as a proxy can not generate non-100 provisional responses."
>
> The example does show a To tag being added.  Additionally RFC 3261 
> does not advocate sending INVITE 101-199 responses without To tags 
> because of the forking ambiguities.  In my opinion, this BCP also 
> should not advocate sending such responses.  RFC 3261 sections 
> 8.2.6.2, 12.1.2, and
> 13.3.1.1 appear to require sending non 100 provisional responses with 
> To tags.  Section 12.1.2 does allow receiving such responses for 
> backwards compatibility reasons; and depending upon interpretation, 
> such responses may even create an early dialog with tag value of null.
>
> -brett
>
>
>   

_______________________________________________
Sipping mailing list  https://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP